/*
 *
 * (c) Copyright Ascensio System Limited 2010-2020
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
/*
 *
 * (c) Copyright Ascensio System Limited 2010-2020
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * http://www.apache.org/licenses/LICENSE-2.0
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
*/
/*-----Attachments control---------*/
/*----question window----*/
#questionWindowAttachments p:first-child {
  margin-top: 0px;
}
#questionWindowAttachments p:last-child {
  margin-top: 20px;
  margin-bottom: 0px;
}
#questionWindowAttachments .button.blue.marginLikeButton {
  margin-right: 8px;
}
/*-----empty screen control---------*/
#emptyDocumentPanel .emptyScrCtrl .emptyScrBttnPnl {
  background-image: none;
}
#emptyDocumentPanel .emptyScrCtrl .emptyScrBttnPnl a {
  background-color: transparent;
  background-position: left bottom;
  background-repeat: no-repeat;
  display: inline-block;
  margin: 10px 0 0 20px;
  padding: 0;
  position: relative;
  text-align: center;
  color: #116d9d;
}
a#uploadFirstFile:after,
a#createFirstDocument:after {
  background-color: transparent;
  background-position: 0 0;
  background-repeat: no-repeat;
  content: "";
  display: block;
  height: 20px;
  margin-left: -20px;
  margin-top: -8px;
  position: absolute;
  top: 50%;
  width: 16px;
}
#emptyDocumentPanel .emptyScrCtrl .emptyScrBttnPnl a#uploadFirstFile:after {
  background-image: url("imagescss/upload.png");
}
#emptyDocumentPanel .emptyScrCtrl .emptyScrBttnPnl a#createFirstDocument:after {
  background-image: url("imagescss/new_file.png");
}
/*------info panel-----*/
.infoPanelAttachFile {
  height: 31px;
}
.infoPanelAttachFile #fileMaxSize {
  color: #83888D;
  font-size: 12px;
  float: left;
  padding: 8px 10px 8px 0px;
}
.infoPanelAttachFile .warn {
  display: none;
  color: #83888D;
  background-repeat: no-repeat;
  background-position: 15px center;
  padding: 8px 10px 8px 38px;
  float: right;
  background-color: #F6E1A4;
}
/*-----*/
.containerAction {
  margin-bottom: 10px;
  height: 25px;
  position: relative;
  clear: both;
  display: none;
}
.containerAction .baseLinkAction {
  color: #333;
}
.containerAction > span {
  display: block;
  float: left;
  background-repeat: no-repeat;
  background-position: left center;
  padding: 0 0 0 20px;
  cursor: pointer;
  margin-top: 10px;
  margin-right: 15px;
}
.containerAction #showDocumentPanel {
  background-image: url("imagescss/new_file.png");
  z-index: 4354565;
}
.containerAction #linkNewDocumentUpload {
  cursor: pointer;
  background-image: url("imagescss/upload.png");
  position: relative;
}
.containerAction #linkNewDocumentUpload input {
  height: 25px;
  width: 180px;
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0;
  filter: progid:DXImageTransform.Microsoft.Alpha(opacity=0);
  cursor: pointer;
  font-size: 25px;
}
.containerAction span.linkAttachFile {
  background-image: url("imagescss/attach.png");
  padding-left: 21px;
}
.wrapperFilesContainer {
  height: auto;
}
span.version {
  color: #FFFFFF;
  font-size: 10px;
  margin: 1px 0 0 5px;
  max-width: 40px;
  overflow: hidden;
  padding: 0 2px;
  text-decoration: none;
  background-color: #4AA4BB;
  float: left;
  display: none;
  border-radius: 2px;
  -moz-border-radius: 2px;
  -webkit-border-radius: 2px;
  display: inline-block;
}
#attachmentsContainer {
  margin-top: 10px;
  padding: 0 10px;
  width: 100%;
  border-collapse: collapse;
  clear: left;
}
#attachmentsContainer a {
  outline: none;
}
#attachmentsContainer tr {
  display: none;
}
#attachmentsContainer tr td {
  border-top: 1px solid #D1D1D1;
}
#attachmentsContainer tr td:first-child {
  padding-top: 5px;
  width: 69%;
}
#attachmentsContainer tr td:first-child a {
  color: #333333;
  display: inline-block;
  margin-left: 5px;
  max-width: 500px;
  padding-left: 25px;
  padding-top: 4px;
  text-decoration: none;
  white-space: nowrap;
  width: auto;
}
#attachmentsContainer tr td:first-child a:hover div.attachmentsTitle {
  text-decoration: underline;
}
#attachmentsContainer tr td:first-child a.noDecoration:hover div.attachmentsTitle {
  text-decoration: none;
  cursor: default;
}
#attachmentsContainer tr td:first-child a.noEdit:hover {
  text-decoration: none;
}
#attachmentsContainer tr td:last-child {
  width: 40%;
  text-align: right;
  padding-right: 10px;
}
#attachmentsContainer tr:first-child td {
  border: none;
}
#attachmentsContainer tr:hover {
  background-color: #F2F2F2;
}
#attachmentsContainer tr.noAttach td {
  color: #333;
  text-align: left;
  background-image: none;
  background-color: #fff;
  cursor: default;
}
#attachmentsContainer tr.newDoc {
  display: none;
}
#attachmentsContainer tr.newDoc td:first-child {
  padding: 3px 0 3px 31px;
  width: 60%;
  background-position: 6px -34px;
}
#attachmentsContainer tbody tr td.editFile a {
  display: none;
  float: right;
  margin: 4px 0 0 5px;
  width: 16px;
  height: 16px;
}
#attachmentsContainer tbody tr td.editFile a[id^="editDoc_"] {
  background: url('../../../../skins/default/images/svg/documents/pencilgray.svg');
}
#attachmentsContainer tbody tr td.editFile a.deleteDoc,
#attachmentsContainer tbody tr td.editFile a.unlinkDoc {
  background: url("imagescss/trash.png") no-repeat 0 0 transparent;
}
#attachmentsContainer tbody tr td.editFile a.downloadLink {
  background: url("imagescss/download_action.png") no-repeat 0 0 transparent;
}
#attachmentsContainer tbody tr:hover td.editFile a {
  display: inline-block;
}
#attachmentsContainer div.attachmentsTitle {
  display: block;
  float: left;
  max-width: 390px;
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
  -o-text-overflow: ellipsis;
  -moz-text-overflow: ellipsis;
  -webkit-text-overflow: ellipsis;
}
td img[id^="imgZoom_"] {
  max-height: 800px;
  display: none;
}
/*---------New file---------*/
tr.newDoc input {
  height: 20px;
  width: 400px;
  float: left;
}
tr.newDoc span.remove,
tr.newDoc span.createFile {
  cursor: pointer;
  margin-left: 12px;
  float: left;
}
/*--- information-upload-panel --*/
.information-upload-panel {
  clear: both;
  font-size: 11px;
  color: #666;
}
.information-upload-panel div {
  float: left;
  margin-right: 15px;
}
.information-upload-panel .checkbox-container label {
  float: left;
}
.information-upload-panel .checkbox-container input {
  float: left;
  margin: 0 5px 0 0;
}
